Description

Hello,

| search many possibilites to change the default value of no_self notified when creating a new user.
Actually default is true.

line 54 to 56 in /app/models/user_preference.rb

unless attributes && attributes.key? (:no_self_notified)
self.no_self notified = true

end

might be :

unless attributes && attributes.key? (:no_self _notified)
self.no_self_notified = Setting.default_users_no_self_notified

end

and add in config/settings.yml

default_users_no_self _notified:
default: true

With this change, we can modify the default value without changing source code of Redmine.
this may be implemented in a future release ?
Regards,

Pierre

Related issues:
Related to Redmine - Feature #14574: "l don't want to be notified of changes ... Closed
Has duplicate Redmine - Feature #24629: Add option to decide default value fo... Closed

Associated revisions

Revision 20771 - 2021-03-10 04:35 - Go MAEDA
Ability to set default value for "I don't want to be notified of changes that | make myself" (#34787).

Patch by Go MAEDA.

History

#1 - 2021-02-23 05:46 - Go MAEDA

- Related to Feature #14574: "l don't want to be notified of changes that | make myself" as Default for all User added

#2 - 2021-02-23 15:04 - Go MAEDA
- File settings.png added
- File 34787 .patch added
Here is a patch to implement the feature. Admin > Settings > Users will have "l don't want to be notified of changes that | make myself" checkbox.

Default values for new users

Hide my email address

Default notification option Only for things | watch or I'm involved in v

I don't want to be notified of changes that

I make myself

Time zone none A

#3 - 2021-02-25 10:38 - Pierre DEPREY

- Status changed from New to Resolved

Thank you, this patch is exactly what i've needed.

#4 - 2021-02-26 23:08 - Marius BALTEANU

- Status changed from Resolved to New

We should keep this ticket in "New" until the patch is committed.

#5 - 2021-02-27 08:56 - Marius BALTEANU

- Target version set to Candidate for next major release

#6 - 2021-03-06 08:01 - Go MAEDA

- Subject changed from ability to set default value for no_self_notified in config/settings.yml to Ability to set default value for "I don't want to be notified
of changes that | make myself"

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#7 - 2021-03-10 04:36 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#8 - 2021-03-10 04:37 - Go MAEDA
- Has duplicate Feature #24629: Add option to decide default value for "I don't want to be notified of changes that | make myself" added

Files
settings.png 53.3 KB 2021-02-23 Go MAEDA
34787.patch 2.23 KB 2021-02-23 Go MAEDA
